As regras predefinidas são mutuamente exclusivas
A API retorna 409 Conflict quando ocorre esse problema. Seu type é https://lingo.dev/docs/api/errors/predefined-rule-exclusive. Consulte Erros e códigos de estado para conhecer a estrutura comum a todos os erros.
Não é possível vincular a regra predefinida <id> a este engine. Ela é mutuamente exclusiva com <heldId>, que o engine já aplica. Primeiro, desvincule <heldId> e, em seguida, vincule <id>.
Campos#
Além dos membros padrão type, status, title e detail, o corpo contém os campos a seguir. O texto de detail é gerado a partir desses campos, o que permite ao cliente exibir um texto próprio.
| Campo | Tipo |
|---|---|
id | string |
heldId | string |
Exemplo#
json
{
"detail": "Cannot attach predefined rule <id> to this engine. It is mutually exclusive with <heldId>, which the engine already applies. Detach <heldId> first, then attach <id>.",
"id": "<id>",
"heldId": "<heldId>",
"type": "https://lingo.dev/docs/api/errors/predefined-rule-exclusive",
"status": 409,
"title": "Predefined rules mutually exclusive"
}Retornado por#
PUT /v2/engines/{engineId}/predefined-rules/{id}